Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/Test_Timer.xise
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/Test_Timer.xise	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/Test_Timer.xise	(revision 139)
@@ -708,7 +739,7 @@
     <!-- The following properties are for internal use only. These should not be modified.-->
     <!--                                                                                  -->
-    <property xil_pn:name="PROP_BehavioralSimTop" xil_pn:value="Architecture|mpi_test|behavior" xil_pn:valueState="non-default"/>
+    <property xil_pn:name="PROP_BehavioralSimTop" xil_pn:value="Architecture|simu_tree|behavior" xil_pn:valueState="non-default"/>
     <property xil_pn:name="PROP_DesignName" xil_pn:value="Test_Timer" xil_pn:valueState="non-default"/>
-    <property xil_pn:name="PROP_DevFamilyPMName" xil_pn:value="spartan6" xil_pn:valueState="default"/>
+    <property xil_pn:name="PROP_DevFamilyPMName" xil_pn:value="artix7" xil_pn:valueState="default"/>
     <property xil_pn:name="PROP_FPGAConfiguration" xil_pn:value="FPGAConfiguration" xil_pn:valueState="default"/>
     <property xil_pn:name="PROP_PostFitSimTop" xil_pn:value="" xil_pn:valueState="default"/>
@@ -724,5 +755,8 @@
   </properties>
 
-  <bindings/>
+  <bindings>
+    <binding xil_pn:location="/MultiMPITest" xil_pn:name="Nexys4_Master.ucf"/>
+    <binding xil_pn:location="/test_tree_8x8" xil_pn:name="pinloc.ucf"/>
+  </bindings>
 
   <libraries>
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/_xmsgs/pn_parser.xmsgs
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/_xmsgs/pn_parser.xmsgs	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/_xmsgs/pn_parser.xmsgs	(revision 139)
@@ -9,5 +9,5 @@
 
 <messages>
-<msg type="info" file="ProjectMgmt" num="1061" ><arg fmt="%s" index="1">Parsing VHDL file &quot;D:/MPI_HCL/Test_Timer/ipcore_dir/mem_4k8.vhd&quot; into library work</arg>
+<msg type="info" file="ProjectMgmt" num="1061" ><arg fmt="%s" index="1">Parsing VHDL file &quot;D:/MPI_HCL/Test_Timer/ipcore_dir/mem8k8.vhd&quot; into library work</arg>
 </msg>
 
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8.vhd
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8.vhd	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8.vhd	(revision 139)
@@ -85,5 +85,5 @@
       c_disable_warn_bhv_coll => 0,
       c_disable_warn_bhv_range => 0,
-      c_family => "spartan6",
+      c_family => "artix7",
       c_has_axi_id => 0,
       c_has_ena => 1,
@@ -131,5 +131,5 @@
       c_write_width_a => 8,
       c_write_width_b => 8,
-      c_xdevicefamily => "spartan6"
+      c_xdevicefamily => "artix7"
     );
 -- synthesis translate_on
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8.xco
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8.xco	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8.xco	(revision 139)
@@ -2,5 +2,5 @@
 #
 # Xilinx Core Generator version 13.3
-# Date: Mon Mar 03 16:26:23 2014
+# Date: Wed Apr 09 13:43:42 2014
 #
 ##############################################################
@@ -23,6 +23,6 @@
 SET createndf = false
 SET designentry = VHDL
-SET device = xc6slx45
-SET devicefamily = spartan6
+SET device = xc7a100t
+SET devicefamily = artix7
 SET flowvendor = Other
 SET formalverification = false
@@ -103,3 +103,3 @@
 # END Extra information
 GENERATE
-# CRC: c197a96c
+# CRC:  7a5cdcc
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8.xise
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8.xise	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8.xise	(revision 139)
@@ -31,11 +31,11 @@
   <properties>
     <property xil_pn:name="Auto Implementation Top" xil_pn:value="false" xil_pn:valueState="non-default"/>
-    <property xil_pn:name="Device" xil_pn:value="xc6slx45" xil_pn:valueState="non-default"/>
-    <property xil_pn:name="Device Family" xil_pn:value="Spartan6" xil_pn:valueState="non-default"/>
+    <property xil_pn:name="Device" xil_pn:value="xc7a100t" xil_pn:valueState="non-default"/>
+    <property xil_pn:name="Device Family" xil_pn:value="Artix7" xil_pn:valueState="non-default"/>
     <property xil_pn:name="Implementation Stop View" xil_pn:value="PreSynthesis" xil_pn:valueState="non-default"/>
     <property xil_pn:name="Implementation Top" xil_pn:value="Architecture|mem8k8|mem8k8_a" xil_pn:valueState="non-default"/>
     <property xil_pn:name="Implementation Top File" xil_pn:value="mem8k8.vhd" xil_pn:valueState="non-default"/>
     <property xil_pn:name="Implementation Top Instance Path" xil_pn:value="/mem8k8" xil_pn:valueState="non-default"/>
-    <property xil_pn:name="Package" xil_pn:value="csg324" xil_pn:valueState="non-default"/>
+    <property xil_pn:name="Package" xil_pn:value="csg324" xil_pn:valueState="default"/>
     <property xil_pn:name="Preferred Language" xil_pn:value="Verilog" xil_pn:valueState="default"/>
     <property xil_pn:name="Project Generator" xil_pn:value="CoreGen" xil_pn:valueState="non-default"/>
@@ -50,7 +50,7 @@
     <!--                                                                                  -->
     <property xil_pn:name="PROP_DesignName" xil_pn:value="mem8k8" xil_pn:valueState="non-default"/>
-    <property xil_pn:name="PROP_DevFamilyPMName" xil_pn:value="spartan6" xil_pn:valueState="default"/>
-    <property xil_pn:name="PROP_intProjectCreationTimestamp" xil_pn:value="2014-03-03T17:27:19" xil_pn:valueState="non-default"/>
-    <property xil_pn:name="PROP_intWbtProjectID" xil_pn:value="3A940284CDED41488E19E27EE9472069" xil_pn:valueState="non-default"/>
+    <property xil_pn:name="PROP_DevFamilyPMName" xil_pn:value="artix7" xil_pn:valueState="default"/>
+    <property xil_pn:name="PROP_intProjectCreationTimestamp" xil_pn:value="2014-04-09T15:44:54" xil_pn:valueState="non-default"/>
+    <property xil_pn:name="PROP_intWbtProjectID" xil_pn:value="0A14F46BA6CA40C6870EDAC9BBAA198D" xil_pn:valueState="non-default"/>
     <property xil_pn:name="PROP_intWorkingDirLocWRTProjDir" xil_pn:value="Same" xil_pn:valueState="non-default"/>
     <property xil_pn:name="PROP_intWorkingDirUsed" xil_pn:value="No" xil_pn:valueState="non-default"/>
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/example_design/bmg_wrapper.vhd
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8_ste/example_design/bmg_wrapper.vhd	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/example_design/bmg_wrapper.vhd	(revision 139)
@@ -68,6 +68,6 @@
 -- (Refer to the SIM Parameters table in the datasheet for more information on
 -- the these parameters.)
---    C_FAMILY                    :  spartan6 
---    C_XDEVICEFAMILY             :  spartan6 
+--    C_FAMILY                    :  artix7 
+--    C_XDEVICEFAMILY             :  artix7 
 --    C_INTERFACE_TYPE            :  0 
 --    C_AXI_TYPE                  :  1 
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/implement.bat
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8_ste/implement/implement.bat	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/implement.bat	(revision 139)
@@ -24,5 +24,5 @@
 
 echo 'Running ngdbuild'
-ngdbuild -p xc6slx45-csg324-3 mem8k8_top
+ngdbuild -p xc7a100t-csg324-3 mem8k8_top
 
 echo 'Running map'
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/implement.sh
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8_ste/implement/implement.sh	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/implement.sh	(revision 139)
@@ -23,5 +23,5 @@
 
 echo 'Running ngdbuild'
-ngdbuild -p xc6slx45-csg324-3 mem8k8_top
+ngdbuild -p xc7a100t-csg324-3 mem8k8_top
 
 echo 'Running map'
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/planAhead_rdn.tcl
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8_ste/implement/planAhead_rdn.tcl	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/planAhead_rdn.tcl	(revision 139)
@@ -46,5 +46,5 @@
 
 
-set device xc6slx45csg324-3
+set device xc7a100tcsg324-3
 set projName mem8k8
 set design mem8k8
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/xst.scr
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/mem8k8_ste/implement/xst.scr	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/mem8k8_ste/implement/xst.scr	(revision 139)
@@ -2,5 +2,5 @@
 -ifmt VHDL
 -ent mem8k8_top
--p xc6slx45-csg324-3
+-p xc7a100t-csg324-3
 -ifn xst.prj
 -write_timing_constraints No
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/tmp/_xmsgs/pn_parser.xmsgs
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/Test_Timer/ipcore_dir/tmp/_xmsgs/pn_parser.xmsgs	(revision 126)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/Test_Timer/ipcore_dir/tmp/_xmsgs/pn_parser.xmsgs	(revision 139)
@@ -9,5 +9,5 @@
 
 <messages>
-<msg type="info" file="ProjectMgmt" num="1061" ><arg fmt="%s" index="1">Parsing VHDL file &quot;D:/MPI_HCL/Test_Timer/ipcore_dir/tmp/_cg/blk_mem_gen_v6_2.vhd&quot; into library work</arg>
+<msg type="info" file="ProjectMgmt" num="1061" ><arg fmt="%s" index="1">Parsing VHDL file &quot;D:/MPI_HCL/Test_Timer/ipcore_dir/mem8k8.vhd&quot; into library work</arg>
 </msg>
 
